Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.mail
Class MailWorker

    java.lang.Object
      org.apache.axis.transport.mail.MailWorker

All Implemented Interfaces:
  java.lang.Runnable

public class MailWorker
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`MailWorker(MailServer server, javax.mail.internet.MimeMessage mimeMessage)` Constructor for MailWorker

Method Summary
`void` | `run()` The main workhorse method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MailWorker

    public MailWorker(MailServer server,
                      javax.mail.internet.MimeMessage mimeMessage)

  Constructor for MailWorker

Parameters:
  `server` -
  `mimeMessage` -

Method Detail

### run

    public void run()

  The main workhorse method.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.